<?php

//register our settings
function mrpbs_admin_option_settings() {
	register_setting( 'mrpbs-settings', 'mrpbs_title' );
	register_setting( 'mrpbs-settings', 'mrpbs_by' );
	register_setting( 'mrpbs-settings', 'mrpbs_number' );
	register_setting( 'mrpbs-settings', 'mrpbs_segments' );
}

// option template
if( !function_exists('mrpbs_admin_option_tempalte') ) {
    function mrpbs_admin_option_tempalte() { ?>
        <div class="wrap">
            <h1><?php esc_attr_e('MRPBS Options', 'moc-related-product-by-segments'); ?></h1>
			<p>

	                <?php esc_attr_e( 'You like this plugin? Give me a cup coffee :)', 'moc-related-product-by-segments' ); ?> <a href="https://www.paypal.me/doiguocmoc/5" target="_blank"><?php esc_attr_e( 'Paypal', 'moc-related-product-by-segments' ); ?></a>
			</p>
            <form method="post" action="options.php">
                <?php settings_fields( 'mrpbs-settings' ); ?>
                <?php do_settings_sections( 'mrpbs-settings' ); ?>
                <table class="widefat importers striped">
        			<tbody>
                        <tr class="importer-item">
            				<td class="import-system">
            					<span class="importer-title"><?php esc_attr_e( 'Segments Product Title', 'moc-related-product-by-segments' ); ?></span>
            					<span class="importer-action">
                                    <i><?php esc_attr_e( 'Default: Segments Product', 'moc-related-product-by-segments' ); ?></i>
                                </span>
            				</td>
            				<td class="desc">
                                <input type="text" name="mrpbs_title" placeholder="<?php esc_attr_e( 'Segments Product', 'moc-related-product-by-segments' ); ?>" value="<?php echo esc_attr( get_option('mrpbs_title') ); ?>" class="regular-text" />
            				</td>
                            <td></td>
            			</tr>
                        <tr class="importer-item">
            				<td class="import-system">
            					<span class="importer-title"><?php esc_attr_e( 'Get Related By', 'moc-related-product-by-segments' ); ?></span>
            					<span class="importer-action">
                                    <i><?php esc_attr_e( 'Default: Product Category', 'moc-related-product-by-segments' ); ?></i>
                                </span>
            				</td>
            				<td class="desc">
                                <select name="mrpbs_by" class="regular-text" >
                                	<option value="1"><?php esc_attr_e( 'Product Category','moc-related-product-by-segments' ); ?></option>
                                	<option value="0" <?php $mrpbs_by = esc_attr( get_option('mrpbs_number') ); if( $mrpbs_by == '0' ) { echo 'selected'; } ?>><?php esc_attr_e( 'Product Tags', 'moc-related-product-by-segments' ); ?></option>
                                </select>
                            </td>
            			</tr>
                        <tr class="importer-item">
            				<td class="import-system">
            					<span class="importer-title"><?php esc_attr_e( 'Number Product Display', 'moc-related-product-by-segments' ); ?></span>
            					<span class="importer-action">
                                    <i><?php esc_attr_e( 'Default: 4', 'moc-related-product-by-segments' ); ?></i>
                                </span>
            				</td>
            				<td class="desc">
                                <input type="number" name="mrpbs_number" placeholder="<?php esc_attr_e( '4', 'moc-related-product-by-segments' ); ?>" value="<?php echo esc_attr( get_option('mrpbs_number') ); ?>" class="regular-text" />
            				</td>
                            <td></td>
            			</tr>
                        <tr class="importer-item">
            				<td class="import-system">
            					<span class="importer-title"><?php esc_attr_e( 'Segments Price', 'moc-related-product-by-segments' ); ?></span>
            					<span class="importer-action">
                                    <i><?php esc_attr_e( 'Default: 10', 'moc-related-product-by-segments' ); ?></i>
                                </span>
            				</td>
            				<td class="desc">
                                <input type="number" name="mrpbs_segments" placeholder="<?php esc_attr_e( '10', 'moc-related-product-by-segments' ); ?>" value="<?php echo esc_attr( get_option('mrpbs_segments') ); ?>" class="regular-text" />
            				</td>
                            <td></td>
            			</tr>
                    </tbody>
                </table>
                <?php submit_button(); ?>
            </form>
        </div>
    <?php }
}
