<?php

add_action('admin_menu', 'mrpbs_add_admin_pages');

function mrpbs_add_admin_pages() {

    // Add menu options
    add_menu_page(
        esc_attr__('MOC - Related Product By Segments', 'moc-related-product-by-segments'),
        esc_attr__('MRPBS Options', 'moc-related-product-by-segments'),
        'manage_options',
        'mrpbs_settings',
        'mrpbs_admin_option_tempalte'
    );
	add_action( 'admin_init', 'mrpbs_admin_option_settings' );

    // add menu about
    add_submenu_page(
        'mrpbs_settings',
        esc_attr__('Moc - Product By Segments About', 'moc-related-product-by-segments'),
        esc_attr__('About', 'moc-related-product-by-segments'),
        'manage_options',
        'mrpbs_about',
        'mrpbs_admin_about_template'
    );
}
