<?php


// about template
if( !function_exists('mrpbs_admin_about_template') ) {
    function mrpbs_admin_about_template() { ?>
        <div class="wrap">
            <h1><?php esc_attr_e('MRPBS About', 'moc-related-product-by-segments'); ?></h1>
            <h3>
                <?php esc_attr_e('Hi ', 'domain'); echo get_bloginfo( 'admin_email' ); ?>
            </h3>
            <p>
                <?php _e( 'Thank you for using my plugin!', 'moc-related-product-by-segments' ); ?>
            </p>
            <p>
                <b><?php esc_attr_e( 'IN coming season...', 'moc-related-product-by-segments' ); ?></b>
                <ul>
                    <li><?php esc_attr_e( '(+) Shortcode support', 'moc-related-product-by-segments' ); ?></li>
                    <li><?php esc_attr_e( '(+) Select location display', 'moc-related-product-by-segments' ); ?></li>
                </ul>
            </p>
            <p>
                <?php esc_attr_e( 'You like this plugin? Give me a cup coffee :)', 'moc-related-product-by-segments' ); ?> <a href="https://www.paypal.me/doiguocmoc/5" target="_blank"><?php esc_attr_e( 'Paypal', 'moc-related-product-by-segments' ); ?></a>
            </p>
        </div>
    <?php }
}
